package com.ffii.lioner.modules.lioner.req;

import java.time.LocalDate;

import jakarta.validation.constraints.Size;

public class UpdateAppreciationReq {
    
    private Long id;
    
    private String sbuIds;

	private LocalDate receiptDate;

	private String description;

    @Size(max = 255)
	private String clientDepartment;

    @Size(max = 255)
	private String clientOrganization;

    @Size(max = 255)
	private String clientFullname;

    @Size(max = 255)
	private String clientPost;

    @Size(max = 255)
	private String venue;

	private LocalDate clientReplyDate;

	private LocalDate staffReplyDate;

	private Integer noOfStaff;

	private LocalDate lnReceiptDate;

	private Integer aprCategoryId;

    @Size(max = 255)
	private String remarks;

	private LocalDate importDate;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSbuIds() {
        return this.sbuIds;
    }

    public void setSbuIds(String sbuIds) {
        this.sbuIds = sbuIds;
    }

    public LocalDate getReceiptDate() {
        return this.receiptDate;
    }

    public void setReceiptDate(LocalDate receiptDate) {
        this.receiptDate = receiptDate;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getClientDepartment() {
        return this.clientDepartment;
    }

    public void setClientDepartment(String clientDepartment) {
        this.clientDepartment = clientDepartment;
    }

    public String getClientOrganization() {
        return this.clientOrganization;
    }

    public void setClientOrganization(String clientOrganization) {
        this.clientOrganization = clientOrganization;
    }

    public String getClientFullname() {
        return this.clientFullname;
    }

    public void setClientFullname(String clientFullname) {
        this.clientFullname = clientFullname;
    }

    public String getClientPost() {
        return this.clientPost;
    }

    public void setClientPost(String clientPost) {
        this.clientPost = clientPost;
    }

    public String getVenue() {
        return this.venue;
    }

    public void setVenue(String venue) {
        this.venue = venue;
    }

    public LocalDate getClientReplyDate() {
        return this.clientReplyDate;
    }

    public void setClientReplyDate(LocalDate clientReplyDate) {
        this.clientReplyDate = clientReplyDate;
    }

    public LocalDate getStaffReplyDate() {
        return this.staffReplyDate;
    }

    public void setStaffReplyDate(LocalDate staffReplyDate) {
        this.staffReplyDate = staffReplyDate;
    }

    public Integer getNoOfStaff() {
        return this.noOfStaff;
    }

    public void setNoOfStaff(Integer noOfStaff) {
        this.noOfStaff = noOfStaff;
    }

    public LocalDate getLnReceiptDate() {
        return this.lnReceiptDate;
    }

    public void setLnReceiptDate(LocalDate lnReceiptDate) {
        this.lnReceiptDate = lnReceiptDate;
    }

    public Integer getAprCategoryId() {
        return this.aprCategoryId;
    }

    public void setAprCategoryId(Integer aprCategoryId) {
        this.aprCategoryId = aprCategoryId;
    }

    public String getRemarks() {
        return this.remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public LocalDate getImportDate() {
        return this.importDate;
    }

    public void setImportDate(LocalDate importDate) {
        this.importDate = importDate;
    }


}
